-- #801
CREATE TABLE moneycurrencyattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    currencyid           char(3)  not null
,    amount               decimal(19,4)  not null

,   constraint pk_moneycurrencyattribute        primary key (objectid,attributeid,currencyid)
,   constraint fk_moneycurrencyattribute_objectid foreign key (objectid)
        references object                           (objectid)
,   constraint fk_moneycurrencyattribute_attributeid foreign key (attributeid)
        references attribute                        (attributeid)
,   constraint fk_moneycurrencyattribute_currencyid foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_moneycurrencyattribute_aid ON moneycurrencyattribute (attributeid)
GO

CREATE INDEX i_moneycurrencyattribute_currency ON moneycurrencyattribute (currencyid)
GO
